> ## Documentation Index
> Fetch the complete documentation index at: https://docs.menuia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Informações do Grupo

## Descrição

Este endpoint permite extrair todas as informações de um grupo, como descrição, título, contatos e outras configurações, usando o ID ou o convite do grupo.

### Parâmetros

<ParamField body="appkey" type="string" required>
  Chave de aplicação.
</ParamField>

<ParamField body="authkey" type="string" required>
  Chave de autenticação do usuário.
</ParamField>

<ParamField body="message" type="string" required>
  Deve ser "false" para indicar que o objetivo é extrair informações do grupo.
</ParamField>

<ParamField body="infoConvite" type="string" required>
  ID do grupo ou o convite do grupo utilizado para extrair as informações.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://chatbot.menuia.com/api/groups \
    -H "Content-Type: application/json" \
    -d '{
      "appkey": "SUA_APPKEY_AQUI",
      "authkey": "SUA_AUTHKEY_AQUI",
      "message": "false",
      "infoConvite": "ID_OU_CONVITE_DO_GRUPO"
    }'
  ```

  ```javascript Node.js theme={null}
  const response = await fetch('https://chatbot.menuia.com/api/groups', {
    method: 'POST',
    headers: { 'Content-Type': 'application/json' },
    body: JSON.stringify({
      appkey: 'SUA_APPKEY_AQUI',
      authkey: 'SUA_AUTHKEY_AQUI',
      message: 'false',
      infoConvite: 'ID_OU_CONVITE_DO_GRUPO'
    })
  });
  ```

  ```python Python theme={null}
  import requests

  response = requests.post(
      'https://chatbot.menuia.com/api/groups',
      json={
          'appkey': 'SUA_APPKEY_AQUI',
          'authkey': 'SUA_AUTHKEY_AQUI',
          'message': 'false',
          'infoConvite': 'ID_OU_CONVITE_DO_GRUPO'
      }
  )
  ```

  ```php PHP theme={null}
  $response = Http::post('https://chatbot.menuia.com/api/groups', [
      'appkey' => 'SUA_APPKEY_AQUI',
      'authkey' => 'SUA_AUTHKEY_AQUI',
      'message' => 'false',
      'infoConvite' => 'ID_OU_CONVITE_DO_GRUPO'
  ]);
  ```
</RequestExample>

<ResponseExample>
  ```json 200 - Sucesso theme={null}
  {
    "status": 200,
    "message": "Informações obtidas com sucesso.",
    "grupo": {
      "id": "123456789@g.us",
      "titulo": "Nome do Grupo",
      "descricao": "Descrição do grupo",
      "participantes": [
        {
          "id": "5511999999999@s.whatsapp.net",
          "admin": true
        }
      ]
    }
  }
  ```

  ```json 401 - Erro de validação theme={null}
  {
    "status": 401,
    "message": "validation.required"
  }
  ```

  ```json 404 - Grupo não encontrado theme={null}
  {
    "status": 404,
    "message": "Grupo não encontrado."
  }
  ```
</ResponseExample>
